import { ISkeletonHeading, ISkeletonParagraph } from './types';
export declare const LoadingDiscernibleText: import("styled-components").StyledComponent<"span", any, {}, never>;
/*********************************
 * END OF ANIMATION STYLING
 */
/*********************************
 * HEADING SKELETON STYLING
 */
export declare const StyledSkeletonHeading: import("styled-components").StyledComponent<"h3", any, {
    active?: boolean | undefined;
} & ISkeletonHeading, never>;
/*********************************
 * END HEADING SKELETON STYLING
 */
/*********************************
 * PARAGRAPH SKELETON STYLING
 */
export declare const StyledSkeletonTextContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledSkeletonParagraph: import("styled-components").StyledComponent<"p", any, {
    active?: boolean | undefined;
} & ISkeletonParagraph, never>;
/*********************************
 * END PARAGRAPH SKELETON STYLING
 */
/*********************************
 * TABLE SKELETON STYLING
 */
export declare const StyledTableSkeletonContainer: import("styled-components").StyledComponent<"table", any, {}, never>;
export declare const TableHeaderData: import("styled-components").StyledComponent<"p", any, {
    active?: boolean | undefined;
}, never>;
export declare const TableCellData: import("styled-components").StyledComponent<"p", any, {
    active?: boolean | undefined;
}, never>;
export declare const TableSkeletonTableHeader: import("styled-components").StyledComponent<"th", any, {}, never>;
export declare const TableSkeletonRow: import("styled-components").StyledComponent<"tr", any, {}, never>;
export declare const TableSkeletonCell: import("styled-components").StyledComponent<"td", any, {}, never>;
/*********************************
 * END TABLE SKELETON STYLING
 */
export declare const SkeletonWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TableContainer: import("styled-components").StyledComponent<import("react").FC<import("../../atoms").IContainer>, any, {}, never>;
